MANDB(8)

NOME
mandb - cria ou atualiza os caches de índices de página de manual

SINOPSE
mandb [-dqsucpt?V] [-C arquivo] [caminho man]
mandb [-dqsut] [-C arquivo] -f arquivo ...

DESCRIÇÃO
mandb é usado para inicializar ou atualizar manualmente os caches de banco de dados index que geralmente são mantidos pelo man. Os caches contêm informações relevantes para o estado atual do sistema de página de manual e as informações armazenadas neles pelos utilitários do man-db para melhorar sua velocidade e funcionalidade. Ao criar ou atualizar um index, mandb vai avisar sobre requisições ".so" inválidas de ROFF, nomes de arquivos inválidos de página de manual e páginas de manual dos quais não é possível realizar análise com whatis. Fornecer mandb com um caminho opcional, delimitado por caractere de dois pontos, sobrescreverá o caminho interno de pesquisa da hierarquia de página de manual do sistema, determinado de informações localizadas dentro do arquivo de configuração do man-db.

CACHES DE BANCO DE DADOS
mandb pode ser compilado com suporte para qualquer um dos tipos de banco de dados a seguir.
Nome | Tipo | Assíncrono | Nome de arquivo
Berkeley DB | Árvore binária | Sim | índice.bt
GNU gdbm | Hash | Sim | índice.db
UNIX ndbm | Hash | Não | índice.(dir|pag)
Aqueles tipos de banco de dados que oferecem suporte a atualizações assíncronas fornecem velocidade melhorada ao custo de possível corrupção no evento de uma terminal anormal. No caso de ocorrência de terminação anormal, pode ser necessário reexecutar mandb com a opção -c para recriar os bancos de dados do zero.

OPÇÕES

-d, --debug
    Emite mensagens de depuração.

-q, --quiet
    Produz nenhum aviso.

-s, --no-straycats
    Não gasta tempo procurando por ou adicionando informações para os bancos de dados referente a cats errantes.

-p, --no-purge
    Não gasta tempo verificando páginas de manuais excluídas e apagando-as dos bancos de dados.

-c, --create
    Por padrão, mandb tentará atualizar quaisquer bancos de dados previamente criados. Se um banco de dados não existe, ele o criará. Essa opção força mandb a excluir bancos de dados anteriores e recriá-lo do zero, e resulta em --no-purge. Isso pode ser necessário se um banco de dados acabar sendo corrompido ou se um novo esquema de armazenamento de banco de dados for introduzido no futuro.

-u, --user-db
    Cria apenas bancos de dados de usuário, mesmo com as permissões de escrita necessárias para criar bancos de dados do sistema.

-t, --test
    Realiza verificações corretivas em páginas de manual no caminho de pesquisa hierárquico. Com essa opção, mandb não alterará bancos de dados existentes.

-f, --filename
    Atualiza apenas as entradas para o arquivo fornecido. Essa opção não é para uso geral; é usada internalmente pelo man quando compilado com a opção MAN_DB_UPDATES e descobre que uma página está desatualizada. Ele resulta em -p e desabilita -c e -s.

-C arquivo, --config-file=arquivo
    Use esse arquivo de configuração de usuário em vez do padrão ~/.manpath.

-?, --help
    Mostra a mensagem de uso e, então, sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Mostra a versão e, então, sai.

STATUS DE SAÍDA

0   Execução com sucesso do programa.

1   Erro de uso, sintaxe ou arquivo de configuração.

2   Erro operacional.

3   Um processo filho falhou.

DIAGNÓSTICOS
As mensagens de aviso a seguir podem ser emitidas durante a construção do banco de dados.

<arquivo>: análise por whatis para página(seção) falhou
    Uma tentativa de extrair linha(s) do whatis a partir do <arquivo> falhou. Isso geralmente ocorre por causa de páginas de manual mal escritas, mas se muitas dessas mensagens forem emitidas, é possível que o sistema contenha páginas de manual que estejam fora do padrão e sejam incompatíveis com o analisador whatis do man-db. Veja a seção ANÁLISE COM WHATIS no lexgrog(1) para mais informações.

<arquivo>: é um link simbólico perdido
    <arquivo> não existe, mas é referenciado por um link simbólico. Mais diagnósticos geralmente são emitidos para identificar o <arquivo> do link em questão.

<arquivo>: link simbólico ruim ou requisição ".so" ROFF
    <arquivo> é um link simbólico para, ou contém um ROFF inclui requisição para, um arquivo não existente.

<arquivo>: ignorando nome de arquivo inválido
    O <arquivo> pode ou não ser uma página de manual válida, mas seu nome é inválido. Isso geralmente ocorre por uma página de manual com extensão de seção <x> ser colocada na seção <y> da página de manual.

<máscara_arquivo>: extensões conflitantes
    O curinga <máscara_arquivo> não é única. Isso geralmente é causado pela existência de ambos versões comprimidas e não comprimidas da mesma página de manual. Todas além da mais recente são ignoradas.

ARQUIVOS

/etc/man_db.conf
    O arquivo de configuração do man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index compatível com FHS.

Localizações mais antigas para cache de banco de dados incluíam:

/usr/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index tradicional.

/var/catman/index.(bt|db|dir|pag)
    Um cache global de banco de dados index alternativo ou compatível com FSSTND.

VEJA TAMBÉM
lexgrog(1), man(1), manpath(5), catman(8)

A seção ANÁLISE COM WHATIS, anteriormente desta página de manual, agora é parte do lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).